* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  color: #fff;
}
main {
  animation: pageLoad 0.75s;
  margin-bottom: 20px;
}
@keyframes pageLoad {
  from {
    transform: translateX(-50%);
  }
  to {
    transform: translateX(0%);
  }
}
/* navigation */
header .navbar {
  background-color: #062A3E;
}
.container-fluid {
  display: flex;
  justify-content: space-between;
}
.container-fluid .navbar-brand {
  display: flex;
  flex: 6;
}
.container-fluid .navbar-toggler {
  color: #fff;
}
.container-fluid .navbar-toggler .navbar-toggler-icon{
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 2555%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  border-color: #fff;
}
.navbar-brand img {
  height: 70px;
}
#navbarNavAltMarkup {
  text-align: center;
}
#navbarNavAltMarkup .navbar-nav a {
  color: #fff;
  font-size: 15px;
  font-weight: 700;
  text-decoration: none;
  transition: all 0.5s;
  padding: 5px 10px;
  text-transform: uppercase;
}
#navbarNavAltMarkup .navbar-nav a:hover {
  color: #547991;
}
#navbarNavAltMarkup .navbar-nav a.active-nav {
  color: #547991;
}
.carousel-item img {
  filter: brightness(90%);
}
/* about-us section */
.about-container, .our-client {
  width: 100%;
  margin: 40px 0;
}
.contact-us h2, .products h2 {
  margin: 50px 0;
}
.about-container h2, .contact-us h2, .products h2 {
  font-size: 40px;
  color: #062A3E;
  text-align: center;
}
#about-us p {
  color: #1b1a1a;
}
.about-text p {
  padding: 10px 20px;
}
.about-container img {
  width: 100%;
}
/* about-us sub-content*/
.about-sub-cont {
  margin: 10px 0 50px 0;
  padding: 0 20px;
}
.about-sub-cont h3 {
  font-size: 25px;
  color: #547991;
  margin-bottom: 25px;
}
.about-sub-cont p {
  margin-bottom: 10px;
}
/* ------------------------our-client-------------- */
.our-client h2 {
  font-size: 30px;
  margin: 20px 0 40px 0;
  color: #062A3E;
  text-align: center;
}
.client-logo {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.client-logo img {
  border-radius: 5px;
  margin-bottom: 10px;
  box-shadow: 2px 2px 2px #d6d4d4;
  cursor: pointer;
  width: 250px;
}
/* Contact-us section */
.contact-us, .products {
  width: 90%;
  margin: 30px auto;
}
.contact-us p {
  font-size: 12px;
  color: #1b1a1a;
}
.contact-us p strong {
  color: #ff0000;
  font-size: 13px;
}
#send-form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: space-between;
  padding-top: 10px;
}
#send-form input, #send-form textarea {
  border: none;
  background-color: #E3E7E4;
  color: #fff;
  margin-top: 20px;
  padding-left: 10px;
  outline: none;
  font-size: 15px;
}
#send-form input:focus, #send-form textarea:focus {
  background-color: #062A3E;
}
#send-form input {
  height: 50px;
}
#send-form textarea {
  height: 150px;
  margin-bottom: 10px;
  padding-top: 10px;
}
#submit {
  width: 150px;
  border: none;
  padding: 15px;
  font-size: 20px;
  color:#fff;
  background-color: #062A3E;
  text-transform: uppercase;
  cursor: pointer;
}
/* -------------------------Map Styling */
#map {
  margin: auto;
  width: 90%;
}
#map iframe {
  width: 100%;
  height: 200px;
}
/* -------------------------Products Section */
.items {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin: 20px 0;
  padding: 5px;
}
.items li {
  list-style: none;
  background-color: #062A3E;
  margin: 0 5px 5px 5px;
  padding: 5px 10px;
  cursor: pointer;
}
.image-container {
  width: 100%;
  padding: 0 10px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.image-container img {
  cursor: pointer;
  width: 49%;
  border: 2px solid rgba(205, 208, 209, .3);
  margin-bottom: 10px;
  box-shadow: 2px 2px 2px rgba(35,35,35,.3)
}
/* -------------------------classList filter */
.items .active {
  background-color:#547991;
}
.hide-img{
  display: none;
}
.show-img {
  display: inline-block;
}
/* ---------------------------footer section */
footer {
  background-color: #062A3E;
  padding-bottom: 20px;
}
.news-letter {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: auto;
  width: 90%;
  padding-top: 30px;
}
.news-letter form {
  display: flex;
  justify-content: flex-end;
  flex-wrap: wrap;
  align-items: flex-start;
}
.news-letter p, #subscribe {
  text-shadow: 1px 1px 3px #838181;
}
.news-letter p {
  font-size: 25px;
  display: flex;
  align-self: flex-end;
  font-weight: 300;
  margin-bottom: 10px;
}
.news-letter form input {
  height: 40px;
  border: 0;
  width: 200px;
  outline: none;
}
#subscribe {
  padding: 5px 10px;
  background-color: #547991;
  border: 0;
  font-size: 10px;
  height: 40px;
  text-transform: uppercase;
  cursor: pointer;
  color: #fff;
}
#subscribe:hover {
  filter: brightness(90%);
}
/* ---------------------------footer content*/
.footer-content {
  display: flex;
  width: 100%;
  margin-top: 10px;
  border-top: 1px solid #acaaaa;
  font-size: 15px;
  flex-direction: column;
  padding: 10px 20px;
}
.footer-col h4 {
  font-size: 15px;
  text-transform: uppercase;
  margin: 10px 0;
}
.footer-content ul {
  list-style: none;
}
.footer-content a{
  text-decoration: none;
  color: #fff;
  margin-right: 10px;
}
.footer-links{
  padding: 0;
}
.footer-links a:hover {
  color: #547991;
}
.comp-details div {
  margin-bottom: 10px;
}
.social a i {
  font-size: 35px;
  transition: all .5s;
}
.social a i:hover {
  font-size: 45px;
  color: #547991;
}
/* ---------------------go-to top button */
.go-top {
  background-color: #1b1a1a;
  position: fixed;
  bottom: 20px;
  right: 35px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  color: #fff ;
  text-decoration: none;
  opacity: 0;
  pointer-events: none;
  transition: all .5s;
}
.active-scroll {
  pointer-events: auto;
  opacity: 1;
}

/* media queries tablet view size */
@media only screen and (min-width: 768px) {
  #navbarNavAltMarkup {
    justify-content: flex-end;
  }
  #navbarNavAltMarkup .navbar-nav a {
    font-size: 20px;
  }
  .our-client h2 {
    font-size: 35px;
    margin-bottom: 40px;
    color: #062A3E;
  }
  .news-letter form input {
    width: 250px;
  }
  #subscribe {
    font-size: 13px;
  }
  .contact-us, #map {
    width: 80%;
    margin: 20px auto;
  }
  .image-container img {
    width: 33%;
  }
}

/* media queries desktop view size */
@media only screen and (min-width: 992px) {
  .about-container {
    display: flex;
    justify-content: space-between;
    margin: 100px 0;
    flex-wrap: wrap;
    padding: 0 30px;

  }
  .about-container h2 {
    font-size: 50px;
    text-align: left;
    display: flex;
    flex-basis: 100%;
  }
  .about-container img {
    width: 45%;
    margin-top: 10px;
    box-shadow: 2px 2px 5px #062A3E;
  }
  .about-text {
    width: 50%;
  }
  .about-text p {
    font-size: 20px;
    padding: 10px 10px 10px 0;
    line-height: 1.6;
  }
  .about-sub-cont {
    display: flex;
    flex-direction: column;
    width: 70%;
    justify-content: center;
    margin: auto;
  }
  .about-sub-cont h3 {
    font-size: 25px;
  }
  .contact-us, #map {
    width: 60%;
    margin: 20px auto;
  }
  .image-container img {
    width: 24%;
  }
  .news-letter p {
    font-size: 30px;
  }
  .news-letter form input {
    width: 300px;
    padding: 0 10px;
  }
  #subscribe {
    font-size: 15px;
  }
  .footer-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .footer-col {
    width: 25%;
  }
  .footer-col:nth-child(1), .footer-col:nth-child(2) {
    margin-right: 50px;
  }
}
